package de.ivu.elect.business.kandidatur.entity;

import de.ivu.elect.business.ergebnis.entity.Gewaehlt;
import de.ivu.elect.business.ergebnis.entity.Stimmen;
import de.ivu.elect.business.stimmzettel.entity.EntityAufStimmzettelDaten;

import java.util.Collection;

public class NlKandidaturGewaehlt extends KandidaturGewaehlt {

  private final Long stimmenAnzahlGewichtet;

  public NlKandidaturGewaehlt(KandidaturGewaehlt kandidaturGewaehlt, Long stimmenAnzahlGewichtet) {
    super(kandidaturGewaehlt);

    this.stimmenAnzahlGewichtet = stimmenAnzahlGewichtet;
  }

  public NlKandidaturGewaehlt(EntityAufStimmzettelDaten entityAufStimmzettelDaten, Kandidatur kandidatur, Gewaehlt gewaehlt, Collection<Stimmen> stimmen, Long stimmenAnzahlGewichtet) {
    super(entityAufStimmzettelDaten, kandidatur, gewaehlt, stimmen);
    this.stimmenAnzahlGewichtet = stimmenAnzahlGewichtet;
  }

  public Long getStimmenAnzahlGewichtet() {
    return stimmenAnzahlGewichtet;
  }
}
